/**
 * This file is yet under development. Please use at your own risk.
 *
 * Zerjillo
 */
package com.zerjio.JIRC;

/**
 * This class represents a JOIN message that is send over an IRC Connection.
 * <P>
 * It is recommended to take a look to the RFC 1459 to know what this message
 * means, its exact format and how to handle it.
 *
 * @author  Zerjillo (http://www.zerjio.com)
 * @version 0.9b
 */
public class JOINMessage extends IRCMessage {
  /**
   * Constructs a JOIN message with a prefix and its parameters.
   * The <code>command</code> will be <code>JOIN</code>.
   *
   * @param   prefix    The JOIN message prefix.
   * @param   params    The JOIN message parameters.
   */
  public JOINMessage(String prefix, String params) {
    super(prefix, "JOIN", params);
  }
  
  /**
   * Returns who is joining the channel.
   *
   * @return    The nick who is joining the channels
   */
  public String whoIsJoining() {
    return getNick(); 
  }
  
  /**
   * Returns the channel that has been joined.
   *
   * @return    The name of the channel that has been joined
   */
  public String getChannelName() {
    String aux = getParams();
    
    if (aux.startsWith(":")) {
      return aux.substring(1);
    } else {
      return getParams();
    }
  }
}
