/**
 * This file is yet under development. Please use at your own risk.
 *
 * Zerjillo
 */
package com.zerjio.JIRC;

/**
 * This class represents a NICK message that is send over an IRC Connection.
 * <P>
 * It is recommended to take a look to the RFC 1459 to know what this message
 * means, its exact format and how to handle it.
 *
 * @author  Zerjillo (http://www.zerjio.com)
 * @version 0.9b
 */
public class NICKMessage extends IRCMessage {
  /**
   * Constructs a NICK message with a prefix and its parameters.
   * The <code>command</code> will be <code>NICK</code>.
   *
   * @param   prefix    The NICK message prefix.
   * @param   params    The NICK message parameters.
   */
  public NICKMessage(String prefix, String params) {
    super(prefix, "NICK", params);
  }
  
  /**
   * Returns the nick that was previously used.
   *
   * @return    The old nick.
   */
  public String getOldNick() {
    return getNick();
  }
  
  /**
   * Returns the new nick
   *
   * @return    The new nick.
   */
  public String getNewNick() {
    String nick = getParams();
    
    if (nick.startsWith(":")) {
      return nick.substring(1);
    } else {
      return nick;
    }
  }
}
