/**
 * This file is yet under development. Please use at your own risk.
 *
 * Zerjillo
 */
package com.zerjio.JIRC;

/**
 * The basic interface for a <code>PARTMessage</code> listener.
 *
 * @author  Zerjillo (http://www.zerjio.com)
 * @version 0.9b
 */
public interface PARTListener {
  
  /**
   * This method should take care about an <code>PARTMessage</code> that has been
   * recieved.
   * <p>
   * It should mark the message as used using <code>IRCMessage.markAsUsed()</code> in
   * case that the information on the message has been used in any form. It is
   * also responsible of using <code>IRCMessage.mustBeDiscarded()</code> if no other
   * listener should get noticed about this message.
   *
   * @param   msg   The <code>PARTMessage</code> that has been received.
   *
   * @see     IRCMessage#markAsUsed() markAsUsed
   * @see     IRCMessage#mustBeDiscarded() mustBeDiscarded
   */
  public void PARTReceived(PARTMessage msg);
  
  /**
   * Should return <code>true</code> if it listens to the particular channel and
   * <code>false</code> otherwise. If it always returns <code>true</code> it will
   * listen to any PART message. If it always returns <code>false</code> it will
   * not listen to any PART message.
   *
   * @param   channelName    The name of the channel that must be tested.
   *
   * @return  <code>true</code> if the <code>channelName</code> is being listened.
   *          <code>false</code> if the <code>channelName</code> is not being listened.
   */
  public boolean listensToPART(String channelName);
}
