/**
 * This file is yet under development. Please use at your own risk.
 *
 * Zerjillo
 */
package com.zerjio.JIRC;

/**
 * This class represents a PRIVMSG message that is send over an IRC Connection.
 * <P>
 * It is recommended to take a look to the RFC 1459 to know what this message
 * means, its exact format and how to handle it.
 *
 * @author  Zerjillo (http://www.zerjio.com)
 * @version 0.9b
 */
public class PRIVMSGMessage extends IRCMessage {
  /**
   * Constructs a PRIVMSG message with a prefix and its parameters.
   * The <code>command</code> will be <code>PRIVMSG</code>.
   *
   * @param   prefix    The PRIVMSG message prefix.
   * @param   params    The PRIVMSG message parameters.
   */
  public PRIVMSGMessage(String prefix, String params) {
    super(prefix, "PRIVMSG", params);
  }
  
  /**
   * Returns the nick of the one who has sended the message
   *
   * @return    The nick that sends the message
   */
  public String whoSendsMessage() {
    return getNick();
  }
  
  /**
   * Returns the message sended.
   *
   * @return    The message sended.
   */
  public String getMessage() {
    String aux = getParams();
    
    int pos = aux.indexOf(':');
    
    return aux.substring(pos + 1);
  }
  
  /**
   * Returns the recipient name of the message (a channel or nick).
   *
   * @return    The name of the recipient of the message.
   */
  public String getRecipientName() {
    String aux = getParams();
    
    int pos = aux.indexOf(' ');
    
    return aux.substring(0, pos);
  }
}
