/**
 * This file is yet under development. Please use at your own risk. 
 *
 * Zerjillo
 */
package com.zerjio.JIRC;

/**
 * The basic interface for a <code>QUITMessage</code> listener.
 *
 * @author  Zerjillo (http://www.zerjio.com)
 * @version 0.9b
 */
public interface QUITListener {
  
  /**
   * This method should take care about an <code>QUITMessage</code> that has been
   * recieved.
   * <p>
   * It should mark the message as used using <code>IRCMessage.markAsUsed()</code> in
   * case that the information on the message has been used in any form. It is 
   * also responsible of using <code>IRCMessage.mustBeDiscarded()</code> if no other
   * listener should get noticed about this message.
   *
   * @param   msg   The <code>QUITMessage</code> that has been received.
   *
   * @see     IRCMessage#markAsUsed() markAsUsed
   * @see     IRCMessage#mustBeDiscarded() mustBeDiscarded
   */  
  public void QUITReceived(QUITMessage msg);
}
