/**
 * This file is yet under development. Please use at your own risk.
 *
 * Zerjillo
 */
package com.zerjio.JIRC;

/**
 * This class represents a QUIT message that is send over an IRC Connection.
 * <P>
 * It is recommended to take a look to the RFC 1459 to know what this message
 * means, its exact format and how to handle it.
 *
 * @author  Zerjillo (http://www.zerjio.com)
 * @version 0.9b
 */
public class QUITMessage extends IRCMessage {
  /**
   * Constructs a QUIT message with a prefix and its parameters.
   * The <code>command</code> will be <code>QUIT</code>.
   *
   * @param   prefix    The QUIT message prefix.
   * @param   params    The QUIT message parameters.
   */
  public QUITMessage(String prefix, String params) {
    super(prefix, "QUIT", params);
  }
  
  /**
   * The nick of the one who is leaving the network
   *
   * @return    The nick who is quitting.
   */
  public String whoIsQuitting() {
    return getNick(); 
  }
  
  /**
   * Returns the quit message.
   *
   * @return    The quit message.
   */
  public String getQuitMessage() {
    return getParams().substring(1); 
  }
}
