/**
 * This file is yet under development. Please use at your own risk. 
 *
 * Zerjillo
 */
package com.zerjio.JIRC;

/**
 * The basic interface for a <code>ReplyMessage</code> listener.
 *
 * @author  Zerjillo (http://www.zerjio.com)
 * @version 0.9b
 */
public interface ReplyMsgListener {
  
  /**
   * This method should take care about a <code>ReplyMessage</code> that has been
   * recieved.
   * <p>
   * It should mark the message as used using <code>IRCMessage.markAsUsed()</code> in
   * case that the information on the message has been used in any form. It is 
   * also responsible of using <code>IRCMessage.mustBeDiscarded()</code> if no other
   * listener should get noticed about this message.
   * <p>
   * Please note that the listener will only receive the reply messages indicated by
   * <code>listenTo(String replyCode)</code>.
   *
   * @param   msg   The <code>ReplyMessage</code> that has been received.
   *
   * @see     IRCMessage#markAsUsed() markAsUsed
   * @see     IRCMessage#mustBeDiscarded() mustBeDiscarded
   * @see     #listensTo(String replyCode) listenTo(String replyCode)
   */  
  public void replyMsgReceived(ReplyMessage msg);
  
  /**
   * Should return <code>true</code> if it listens to the particular reply code and 
   * <code>false</code> otherwise. If it always returns <code>true</code> it will 
   * listen to any reply message. If it always returns <code>false</code> it will 
   * not listen to any reply message.
   *
   * @param   replyCode   The reply code that must be tested.
   *
   * @return  <code>true</code> if the <code>replyCode</code> is being listened.
   *          <code>false</code> if the <code>replyCode</code> is not being listened.
   */
  public boolean listensTo(String replyCode);
}
