/**
 * This file is yet under development. Please use at your own risk.
 *
 * Zerjillo
 */
package com.zerjio.JIRC;

/**
 * A very basic <code>MsgListener</code> that only prints every IRC message that
 * it receives.
 *
 * @author  Zerjillo (http://www.zerjio.com)
 * @version 0.9b
 */
public class SimpleMsgListener implements MsgListener {
  /** To control if the prefixes should be printed or not */
  boolean removePrefixes;
  
  /**
   * Constructs a <code>SimpleMsgListener</code> that will print the IRC messages
   * as they are, including their prefix.
   */
  public SimpleMsgListener() {
    removePrefixes = false;
  }
  
  /**
   * Constructs a <code>SimpleMsgListener</code> that will print the IRC messages
   * with or without printing the prefix (depending on the parameters).
   * 
   * @param   removePrefixes    <code>true</code> if prefixes must not be printed.
   *                            <code>false</code> if prefixes must be printed.
   */  
  public SimpleMsgListener(boolean removePrefixes) {
    this.removePrefixes = removePrefixes;
  }
  
  /**
   * Just prints out the <code>IRCMessage</code> received. It marks the message as used,
   * but it not will be removed (and so next listener will catch it).
   *
   * @param   msg   The <code>IRCMessage</code> that has been received.
   */  
  public void msgReceived(IRCMessage msg) {
    if (removePrefixes) {
      System.out.println(msg.asStringWithoutPrefix());
    } else {
      System.out.println(msg.asString());
    }
    
    msg.markAsUsed();
  }
}
