/**
 * This file is yet under development. Please use at your own risk.
 *
 * Zerjillo
 */
package com.zerjio.JIRC;

/**
 * A basic <code>ReplyMsgListener</code> that prints the information available about
 * every <code>ReplyMessage</code> that is received.
 *
 * @author  Zerjillo (http://www.zerjio.com)
 * @version 0.9b
 */
public class SimpleReplyMsgListener implements ReplyMsgListener { 
  /**
   * Returns <code>true</code> to listen to every reply message.
   *
   * @param   replyCode   A reply code (it doesn't matter what code, returns always <code>true</code>)
   *
   * @return  <code>true</code>
   */
  public boolean listensTo(String replyCode) {
    return true;
  }
  
  /**
   * Prints out all information known about a particular <code>ReplyMessage</code>.
   *
   * @param   msg   The reply message to print its information.
   */
  public void replyMsgReceived(ReplyMessage msg) {
    System.out.println("Reply Message: " + msg.getCommand() + ": " + msg.getName() + ", \"" + msg.getReplyingString() + "\", " + msg.getComment());
    
    msg.markAsUsed();
  }
}
